package com.gree.mall.manager.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum OrderSharePageEnum implements BaseEnum {

    ING("ING","结算中"),
    OVER("OVER","已结算"),
    EXCEPTION("EXCEPTION","异常结算"),
    CANCEL("CANCEL","已取消"),
    OFFLINE("OFFLINE","线下结算"),
    ;


    @EnumValue
    @JsonValue
    private final String key;
    private final String remark;




}